unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ATOUCHX_TLB, StdCtrls;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);

    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormClick(Sender: TObject);
  private
    { Private declarations }

  public
    { Public declarations }

  end;

  TMyAtouchApp = class (TAtouchApp)
     constructor Create (AOwner: TComponent); override;
     procedure   ENI    (Sender: TObject;
                         Station: Smallint;
                         _Result: Integer;
                         Param: Integer;
                         DATA: OleVariant);
     procedure   ENGD   (Sender: TObject;
                         Station: Integer;
                         _Result: Integer;
                         Param: Integer;
                         DATA: OleVariant);

  end;

var
  Form1: TForm1;
   ATC : TMyAtouchApp;
implementation

{$R *.DFM}

constructor TMyAtouchApp.Create (AOwner: TComponent);
begin
  inherited Create(AOwner);
  OnEndNetIdentify := ENI;
  OnEndNetGetData := ENGD;
end;

procedure TMyAtouchApp.ENI (Sender: TObject;
                            Station: Smallint;
                            _Result: Integer;
                            Param: Integer;
                            DATA: OleVariant);
begin
   Beep;
   if ((_Result and $200)<>0) then begin
      Form1.Label1.Caption := DATA[0];
      Form1.Label2.Caption := DATA[1];
      Form1.Label3.Caption := DATA[2];
   end;
end;

procedure TMyAtouchApp.ENGD (Sender: TObject;
                            Station: Integer;
                            _Result: Integer;
                            Param: Integer;
                            DATA: OleVariant);
                            var i: smallint;
begin
   Beep;
   if ((_Result and $200)<>0) then begin
      i :=  DATA;


   end;
end;
procedure TForm1.FormCreate(Sender: TObject);
var Res : smallint;
begin
   if (not Assigned(ATC)) then begin
      ATC := TMyAtouchApp.Create(self);
      Res:=ATC.InitFromFile ('C:\atx\chl\hw.ini','C:\atx\chl\db.ini');
      if (Res<>0) then
         Application.MessageBox('Chyba inicializace','Aplikace',MB_ICONSTOP + MB_OK);
   end;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
   if (Assigned(ATC)) then begin
      ATC.Done;
      ATC.Destroy;
      ATC:=nil;
   end;
end;

procedure TForm1.FormClick(Sender: TObject);
var Res : smallint;
begin
   Res:=ATC.NetIdentify (4,1,0);
   if (Res<>0) then
      Application.MessageBox('Chyba vloen','Aplikace',MB_ICONSTOP + MB_OK);
end;

procedure TForm1.Button1Click(Sender: TObject);
var Res : smallint;
    data : Variant;
    s : smallint;
    l : integer;
    f : single;
    a: array [0..2] of smallint;
begin
  Res := ATC.NetGetData(4001,4001);
  if (Res<> 0) then Application.MessageBox('Chyba pri pozadavku', 'Aplikace',
   MB_ICONSTOP + MB_OK);



    {*int*}
  s:= 10;
  data := smallint(s);
  Res := ATC.NetPutData(4001, 4001, data);
  if (Res<> 0) then Application.MessageBox('Chyba pozadavku', 'Aplikace',
   MB_ICONSTOP + MB_OK);


    atc.ne

  {*long*}
  l := 100;
  data := integer(l);
  Res := ATC.NetPutData(4015, 4001, data);
  if (Res<> 0) then Application.MessageBox('Chyba pozadavku', 'Aplikace',
   MB_ICONSTOP + MB_OK);

  {*float*}

  f:=10.00001;
  data:=Single(f);
  System.VarCast(data,data,4);

  Res := ATC.NetPutData(4053, 4001, data);
  if (Res<> 0) then Application.MessageBox('Chyba pozadavku', 'Aplikace',
   MB_ICONSTOP + MB_OK);
end;

end.
